# frozen_string_literal: true

Gem::Specification.new do |s|
  s.name = 'rixml'
  s.version = '0.6.2'
  s.date = '2018-11-02'
  s.summary = 'RIXML Parser'
  s.description = 'Parse RIXML files'
  s.homepage = 'https://github.com/AlphaExchange/rixml'
  s.authors = ['Alex Correia Santos', 'Leonardo Goularte Siqueira']
  s.email = ['alex@alpha-exchange.com', 'leonardo@alpha-exchange.com']
  s.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  s.require_paths = ['lib']
  s.license = 'MIT'

  s.required_ruby_version = '>= 2.4'

  s.add_development_dependency 'bundler', '~> 1.12'
  s.add_development_dependency 'byebug'
  s.add_development_dependency 'minitest', '~> 5.1'
  s.add_development_dependency 'rake', '~> 11.3'
  s.add_development_dependency 'rspec', '~> 3.6'
  s.add_development_dependency 'va-ruby-style', '0.0.1'

  s.add_runtime_dependency 'activesupport', '>= 4.0.0'
  s.add_runtime_dependency 'nokogiri', '~> 1.5'
  s.add_runtime_dependency 'nokogiri-happymapper', '~> 0.8.0'
end
